import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'channelMark'
})
export class ChannelMarkPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '中石油';
      case 2:
        return '中石化';
      case 3:
        return '移动';
      case 4:
        return '联通';
      case 5:
        return '电信';
    }
  }

}
